Subject: bug#36068: 27.0.50; Warning: unescaped character literals `?)' detected, `?\)' expected!

From: Michael Heerdegen <[email-masked]>
Date: Mon, 03 Jun 2019 04:14:59 +0200

Hello,

Sometimes, out of nowhere, when I byte compile my init file (with my
config loaded of course), I get hundreds (!) of warnings

.gnu-emacs.el:22:1:Warning: unescaped character literals `?)' detected, `?\)'
    expected!

Dunno if it happens when there is a syntax error in the file, or just
Heisenbug like.  When this has happened once, I cannot get back to a
normal compilation, compiling any Elisp file gives me the above
warnings.  I have to restart Emacs.  Then everything is good.

I have still open such an ill session, maybe it can help with the
diagnosis?

TIA,

Michael.

In GNU Emacs 27.0.50 (build 19, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-06-03 built on drachen
Repository revision: ae7e0657b20037eb386aa21a35f05bcb4c283611
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Debian GNU/Linux 10 (buster)

Recent messages:
Saving /home/micha/gnu-emacs/.newsrc.eld...
Saving file /home/micha/gnu-emacs/.newsrc.eld...
Wrote /home/micha/gnu-emacs/.newsrc.eld
Saving /home/micha/gnu-emacs/.newsrc.eld...done
Sending...
Sending via mail...
Sending email
Sending email done
Sending...done
Making completion list... [10 times]